globus_gass_cache.h File Reference

GASS Cache API. More...

`#include "globus_common.h"`
`#include <sys/param.h>`

Go to the source code of this file.

## Macros

#define | GLOBUS_GASS_CACHE_MODULE (&globus_i_gass_cache_module)
| module_descriptor

## Typedefs

typedef struct globus_i_gass_cache_t * | globus_gass_cache_t
| GASS Cache Handle. More...

## Functions

int | globus_gass_cache_open (const char *cache_directory_path, globus_gass_cache_t *cache_handle)
| Open a GASS Cache. More...
int | globus_gass_cache_close (globus_gass_cache_t *cache_handle)
| Close a cache handle. More...
int | globus_gass_cache_add (globus_gass_cache_t cache_handle, const char *url, const char *tag, globus_bool_t create, unsigned long *timestamp, char **local_filename)
| Add a tag to an URL in the cache. More...
int | globus_gass_cache_add_done (globus_gass_cache_t cache_handle, const char *url, const char *tag, unsigned long timestamp)
| Complete adding a cache entry and unlock it. More...
int | globus_gass_cache_query (globus_gass_cache_t cache_handle, const char *url, const char *tag, globus_bool_t wait_for_lock, unsigned long *timestamp, char **local_filename, globus_bool_t *is_locked)
| Query the GASS Cache. More...
int | globus_gass_cache_delete_start (globus_gass_cache_t cache_handle, const char *url, const char *tag, unsigned long *timestamp)
| Remove a cache tag. More...
int | globus_gass_cache_delete (globus_gass_cache_t cache_handle, const char *url, const char *tag, unsigned long timestamp, globus_bool_t is_locked)
| Remove one instance of the tag from the cache entry's tag list. More...
int | globus_gass_cache_cleanup_tag (globus_gass_cache_t cache_handle, const char *url, const char *tag)
| Remove a tag from a cache entry. More...
int | globus_gass_cache_cleanup_tag_all (globus_gass_cache_t cache_handle, char *tag)

Remove a tag from all cache entriesRemove all instances of the tag from the cache entry's tag list. If there are no more tags in the tag list, then remove this cache entry and delete the associated local cache file. If the cache entry is locked with the same tag as is passed to this function, then the entry is unlocked after removing the tags. Otherwise, the cache entry's lock is left untouched. More...

int | globus_gass_cache_mangle_url (const globus_gass_cache_t cache_handle, const char *url, char **mangled_url, int *length)
| Convert a URL to a string suitable as a file path. More...
int | globus_gass_cache_mangle_tag (const globus_gass_cache_t cache_handle, const char *tag, char **mangled_tag, int *length)
| Convert a tag to a string suitable as a file path. More...
int | globus_gass_cache_get_dirs (const globus_gass_cache_t cache_handle, const char *url, const char *tag, char **global_root, char **local_root, char **tmp_root, char **log_root, char **global_dir, char **local_dir)
| Get the set of directories used by a GASS Cache. More...
int | globus_gass_cache_get_cache_dir (const globus_gass_cache_t cache_handle, char **cache_dir)
| Get the GASS Cache's root directory. More...
int | globus_gass_cache_get_cache_type_string (const globus_gass_cache_t cache_handle, char **cache_type)
| Get the type of GASS Cache directory layout. More...
const char * | globus_gass_cache_error_string (int error_code)
| Look up the error string corresponding to a GASS Cache error. More...

## Detailed Description

GASS Cache API.